@import url("colour-ring-box.css");
.demo {
    width:260px !important;
    height:auto !important;
    text-align:center;
    padding-top:4px;
    padding-bottom:4px;
    font-size:11px !important;
    border:1px dotted gray !important;}
.fill {
    font-size:12px;
    background-color:yellow;
    padding:2px;
    color:#555;
    text-align:center;
    font-family:monospace;
    /*border-width:0px 1px 1px 0px;
    border-style:none solid solid none;
    border-color:white #dedede #dedede white;*/
    border-top: 1px solid transparent;
    border-right: 1px solid #dedede;
    border-bottom: 1px solid  #dedede;
    border-left: 1px solid transparent;
    width:calc(100% - 19px);
}
.fill:hover {
    cursor:copy;
}
#fillit {
    vertical-align:top;width:36px;height:36px;color:#f0f0f0;
}
#longin-function-editor {
    display:inline-block;
    display:none;
}
.longin {
    height:2.3em;resize:vertical;min-width:200px;border:1px solid #cacaca;font-size:130%;
}
.longin:focus {
    font-family:monospace;
    border:1px solid #6ed6ff !important;
    box-shadow:inset 0 0 1px 1px #6ed6ff;
}
#longin_container {
    position:relative;
    background-color:#dadada;
    display:inline-block;
    margin-left:-3px;
}
.filterplus {
    vertical-align:top;
    width:19px;
    height:20px;
    padding:0;
    color:#777;
    display:inline-block;
    text-align:center;
    border-right:1px solid #cacaca;
    border-radius:2px;
    cursor:pointer;
    background-color:#ecea5d;
}
.filterplus:hover {
    color: #666;
    background-color: #efefef; 
}
#fillfunction_chooser {
    display:none;
    position:absolute;
    z-index:101;
    background-color:#efefef;
    border:1px solid #afafaf;
    padding:4px;
    width:200px;
    font-size:150%;
    padding-left:15px;
    padding-top:10px;
}
#fillfunction_chooser option:hover {
    background-color:#dfdfdf;
}
#fillfunction {
    width:36px;height:36px;vertical-align:top;color:#666;
}
#apply {
    width:36px;
    height:36px;
    vertical-align:top;
    display:none;
    color:#eaeaea;
    padding-left:8px; /*ez miért?*/
}
#obfun-close {
    width:36px;height:36px;padding:0;vertical-align:top;
    color:#666;
    display:none;
}
/* table things */
.ci-default {
    width:100% !important;
}
.ci {
    font-size:12px;
    background-color:white;
    padding:2px;
    width:100% !important;
    height:20px;
    border-width:0px 1px 1px 0px;
    border-style:none solid solid none;
    border-color:white #dedede #dedede white;
}
.activeInput{
    border:1px solid #6ed6ff;
    box-shadow:inset 0 0 1px 1px #6ed6ff;
}
.focusInput{
    box-shadow:inset 0 0 1px 1px #bdbdbd;
    background-image: url("img/img_dot.png");
    background-repeat: no-repeat;
    background-position: right bottom;
}
/* only in upload table*/
#upload-data-table .geom-down,#upload-data-table .photo-here,#upload-data-table .datepickerb,#upload-data-table .colourringb {
    position: absolute;
}
.geom-down,.photo-here,.datepickerb,.colourringb {
    background:transparent;
    border:none;
    right:0;
    top:20%;
    bottom:20%;
    width: 10%;
    padding: 0;
}

.geom-down,.photo-here,.datepickerb,.colourringb i {
    margin: 0 auto;
    color: #5F65C2;
}

.geom-down i:hover,.photo-here i:hover,.datepickerb i:hover {
    color: red;
}
.setsize {
    height:100% !important;
}
.gpx {
    background-color: #acacdc;
    font-size:80%;
    text-align:center;
    min-width:150px;
}
.sList {
    list-style-type: none !important;
    margin: 0;
    padding:0 2px 0 0;
    float:left;
    text-align:left;
}
.sList li { margin-bottom:2px;padding:0px;font-size:10px;width:auto;min-width:120px;border:1px solid #a8a8a8;border-radius:4px}
.sList li:hover { 
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.55);
    position:relative;
    cursor:grab;
}
.sList li:active { 
    cursor:move !important;
}
.croptext {
    overflow:hidden;
    height:40px;
    text-overflow:ellipsis; 
    flex:1;
}
.colhelptext {
    font-size:11px;
    color:#222222;
    text-align:left;
    padding-left:3px;
    cursor:row-resize;
}
.sList .coltypetext {display:none;}
.sList .colhelptext {display:none;}
.coltypetext {
    position:absolute;
    bottom:0;
    right:0;
    font-family:monospace;
    font-size:9px;
    color:purple;
}
.drophere {
    color:#828282;
    font-family:monospace;
    position:absolute;
    right:2px;
    z-index:1;
}
.oList {
    list-style-type: none !important;
    margin: 0;
    padding:0;
    float:left;
    text-align:center;
    min-width:100px !important;
    width:100% !important;
    min-height:36px;
    height:100% !important;
    white-space:normal;
}
.oListElem { 
    list-style-type:none !important;margin:0;padding:0;float:left;width:100%;
    box-sizing:content-box;
}
.oList li { margin:0px;padding:0px;font-size:11px;height:100%;
    border-width:1px 1px 1px 0px;
    border-style:solid solid solid none;
    border-color:#dedede #dedede #dedede white;
}
.oList li:hover { 
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.55);
    position:relative;
    z-index:100;
    cursor:grab;
}
.oList li:active { 
    cursor:move !important;
}
.drop-highlight { height:2em !important; line-height:1.2em !important;background-color:orange; }
.hiddencell {
    min-width:50px;
    display:none;
}
/*.dragbox {
    cursor: e-resize;
}*/
.log {
    font-size:14px;
    font-weight:bold;
    font-family:Arial, Helvetica, sans-serif;
    padding:10px;
    background-color:#f4f4f4;
    margin-bottom:1em;
    margin-top:1em;
    max-width:800px;
    border-radius:10px;}
.log div {
    font-weight:normal;
    padding-left:20px;
    background-color:#eae8ea;
    border:1px dotted #333333;
    margin-bottom:3px;
    margin-top:3px;
}
.dbresp {
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 1px 3px #ddd inset;
    box-sizing: border-box;
    font-size:15px;
    font-family:monospace;
    padding:23px;
    margin:20px 0 0 0;
    background-color:#eeeeee;
}
.skippedRow { }
.hideRow { display:none !important; }
.skippedCell,.skippedButton { 
    color: #acacac 
}
.skippedInput {
    border-color:#c6c6c6 !important;
    color:#a5a5a5 !important;
    background-color:#eaeaea !important;
}
.autoskip {
    opacity:0.3;
    filter: alpha(opacity=3);
    filter: progid:DXImageTransform.Microsoft.Alpha(opacity=3);
}
fieldset { 
    margin-bottom:20px;
}
fieldset h2 {
    color:orange !important;
    border-bottom: 1px dotted gray !important;
}
fieldset ul, fieldset li{ border:0;margin:0;padding:0;list-style:none;}
fieldset li{ clear:both;list-style:none;padding-bottom:10px;}
/*fieldset label{ width:140px;float:left;}*/
legend { padding: 5px !important;margin: 0 15px 0 15px !important;}
.upll { padding: 0px 5px 5px 0px !important;margin: 0 !important;font-weight:bold}
.mezok { height:1%;border-collapse:separate;border-spacing:0px;font-size:12px;font-family:arial;margin-bottom:4px;margin-right:5px;background-color:#dadada;padding-bottom:1px;padding-right:1px;padding-top:1px;}
.mezok td { font-family:Georgia, serif !important;position:relative;padding:0}
.mezok th { vertical-align:top;height:1%;padding:0;position:relative;}
.upload-data-table-singlerecord {
    /*margin-left:36px;*/
    background-color:transparent;
    width:500px;
    margin:0 auto;
}
#rightTable {
    overflow-x:auto;white-space:nowrap;
}
#leftTable {
    background-color:#f2f2f2;
    border-right:1px solid #dadada;
    display:table-cell;
    padding:10px 0px 5px 10px;
    margin-right:2px;
    z-index:92;
    position:relative;
}
#leftTable_in {
    height:590px;max-width:230px;margin-top:5px;unicode-bidi:bidi-override;overflow:scroll;
}
.draggable-colnames {
    position:relative;
}
input.red {
    background-color:white;
}
input.gray {
    background-color:white;
}
select.red {
    background-color:white;
}
select.gray {
    background-color:white;
}
.red {
    background:#FF636E;
    height:100%;
    display: flex;
    flex-flow: column;
    min-height: 60px;
    /*min-height:32px;*/
}
.pink {
    background:#FFB6BB;
    height:100%;
    display: flex;
    flex-flow: column;
    min-height: 60px;
    /*min-height:32px;*/
}
.gray {
    background:#B6B6B6;
    height:100%;
    display: flex;
    flex-flow: column;
    min-height: 60px;
    /*min-height:32px;*/
}
.blue {
    background:#73CBFE;
    height:100%;
    display: flex;
    flex-flow: column;
    min-height: 60px;
    /*min-height:32px;*/
}
select .wauto {
    width:auto;
}
body { color: #101010;}
input[type="button"] { color:#222222;}
input[type="submit"] { color:#222222;}
#resizable {background-color:#dadada;border-top:1px solid #9a9a9a;border-left:1px solid #9a9a9a;border-right:1px dashed #9a9a9a;border-bottom:1px dashed #9a9a9a;width:99%}
.ui-resizable {position: relative;}
.ui-resizable-handle {position:absolute;font-size: 0.1px;display: block;}
.ui-resizable-disabled .ui-resizable-handle,
.ui-resizable-autohide .ui-resizable-handle {display: none;}
.ui-resizable-s {cursor:s-resize;height:7px;width:100%;bottom:-5px;left:0;}
.ui-resizable-e {cursor:e-resize;width:7px;right:-5px;top:0;height:100%;}
.hdiv{border-right:1px dashed #9a9a9a}
label {
    content: ' ';
    display: block !important;
    padding-left: 15px;
    text-indent: -15px;

}
label > input{ /* HIDE RADIO */
  display:inline !important;
}
#formMenu {
    list-style:none;
    padding:0;
    margin:0;
}
#formMenu > li {
    padding-bottom:4px;
}
#formMenu > li > h3 {
   cursor:pointer;
}

#formMenu > li > ul > li {
    cursor:default;
}
#formMenu > li > span {
    padding-left:4px;
    padding-bottom:4px;
}

.noJS {
    display:none;
    list-style-type:none;
}
.noJS li {
    padding-bottom:3px;
}
.noJS li span {
    padding-left:4px;
    padding-bottom:4px;
}

.list-warning {
    color:black;
    background:#ff4c4c;
}
.list-ok {
    color:black;
    background:white;
}
.resize-on-focus:focus {
    min-height:80px !important;
    resize:both !important;
}
.resize-on-focus:not(:focus) {
    height:30px !important;
}

/**/
#upload-form-container {
    border-bottom:1px solid #acacac;
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
    background-color:#fafafa;
}
#upload-form-footer {
    padding:10px;
    text-align:center;
}
.upload-form-container-singlerecord {
}
#upload-form-maintable {
    position:relative;
    display:table;
    width:100%;
    background-color:#eaeaea;
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
    padding-bottom:3px
}

#upload-form-form {
    margin:0 !important;
}
#upload-form-description {
    padding: 30px;
    margin:0;
    font-size:130%;
}

#upload-form-form {
}
#rightTable_container {
    display:table-cell;
    padding:10px 0px 5px 10px;
}
.field-title{
    font-weight:bold;
    font-size:13px;
}
.default_values {
    display:table;
    border-spacing:5px;
    min-width: 0;
    width: 30%;
}
.singlerecord-input {
    font-size:1.3em;
    border-width:0px;
    border-bottom:1px dotted #cacaca;
    height:30px;
}
.singlerecord-tr {
    margin-top:5px;
    border-radius:5px;
    border:1px solid #cacaca;
    background-color:white;
    padding-bottom:15px;
    padding:10px;
}
.singlerecord-header-label {
    font-size:1.5em;
    text-align:center;
}
.singlerecord-th {
    width:500px;
}
#upload-form-form .pure-form input:not([type]) {
    margin-bottom: 0;
}

@media all and (max-width: 1023px) {
    .default_values {
        width: 50%;
    }
}
@media all and (max-width: 767px) {
    .default_values {
        width: 75%;
    }
}
@media all and (max-width: 469px) {
    .default_values {
        width: 100%;
        margin: 0 auto;
    }
}

@media only screen and (max-width: 600px)  {
    #upload-form-container,#upload-form-form {
        margin-left:-1px;
    }
    .field-title{
        font-size:10px;
    }
    .colhelptext {
        display:none;
    }
}
@media only screen and (min-width: 600px)  {
    #upload-form-container,#upload-form-form {
        margin-left:-3px;
    }
    .field-title{
        font-size:11px;
    }
    .colhelptext {
        display:none;
    }
}
@media only screen and (min-width: 900px)  {
    #upload-form-container,#upload-form-form {
        margin-left:-6px;
    }
    .field-title{
        font-size:12px;
    }
    .colhelptext {
        font-size:10px;
        display:inline-block;
    }
}
@media only screen and (min-width: 1400px)  {
    #upload-form-container,#upload-form-form {
        margin-left:-30px;
    }
    .field-title{
        font-size:13px;
    }
    .colhelptext {
        font-size:11px;
        display:inline-block;
    }
}
.w300 {
    width:300px;
}
.w400 {
    width:400px;
}
.w500 {
    width:500px;
}
.w600 {
    width:600px;
}
.w700 {
    width:700px;
}
.error-message {
    background-color:red;
    color:white;
    font-weight:bold;
    padding:10px;
}
.uploads-home {
    position:relative;left:10px;top:10px;float:left;
}
.uploads-home:hover {
    border:1px solid #b9b9b9;
    border-radius:5px;
    background-color: #c9c9c9;
}
/* Radio options as buttons
 * */
.options ul {
    list-style-type:none;
    margin:0 0 0 0;
    padding:0;
}
.options li {
    float:left;
}
.options li {
    cursor:pointer;
    -webkit-appearance: button;
    /* WebKit */
    -moz-appearance: button;
    /* Mozilla */
    -o-appearance: button;
    /* Opera */
    -ms-appearance: button;
    /* Internet Explorer */
    appearance: button;
    /* CSS3 */
}
.options input[type=radio] {
    display:none;
}
.options input[type=checkbox] {
    display:none;
}
/* stick-thumbs */
.fa-rotate-45 {
  transform: rotate(45deg);
}
.sticky-def {
    color:#999;
}
.sticky {
    color:#555;
}
.default-input-div {
    display: flex;
    padding-left: 1px;
    border-radius: 2px;
    min-height:40px;
    flex-flow:unset;
}
/* table to divs
 * */
/*.table {
    display: block;
    width: 100%;
}
.thead, .tbody, .tfoot, .tr {
    clear: both;
}
.thead, .tfoot {
    background-color: #DDD;
    font-weight: bold;
}
.td, .th {
    border: 1px solid #999999;
    float: left;
    overflow: hidden;
    padding: 3px 1.8%;
}
.table:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}*/
.table {
        display: table;
        width: 100%;
}
.tr {
        display: table-row;
}
.thead {
        display: table-header-group;
        background-color: #ddd;
}
.td, .th {
        display: table-cell;
        position:relative;
        vertical-align:top;
}
.tfoot {
        display: table-footer-group;
        font-weight: bold;
        background-color: #ddd;
}
.tbody {
        display: table-row-group;
}
.emptycell {
        width:38px;
}
.tbody .tr .td:first-child {
    position: absolute !important;
    z-index:99;
    background-color:#dddddd;
}

